
#ifndef _DATE_H
#define _DATE_H

#ifdef __cplusplus
 extern "C" {
#endif

#include <time.h>

#define YEAR_BASE 1900
#define EPOCH_YEAR 2000
#define EPOCH_WDAY 6

void GregorianDay(struct rtc_time * tm);
void to_tm(int tim, struct rtc_time * tm);

struct rtc_time *rtc_to_time(uint32_t rtcval, struct rtc_time *res);
uint32_t rtc_from_time(const struct rtc_time *timp);
int time_to_str(char *buf, size_t sz, const struct rtc_time *tim);
int validate_time(const struct rtc_time *tim);
int validate_date(const struct rtc_time *tim);
int parse_time(const char *str, struct rtc_time *tim);
int parse_date(const char *str, struct rtc_time *tim);
unsigned long maketime (unsigned int year, unsigned int mon,
   unsigned int day, unsigned int hour,
   unsigned int min, unsigned int sec);

static inline int validate_datetime(const struct rtc_time *tim)
{
   return validate_date(tim) && validate_time(tim);
}

#ifdef __cplusplus
}
#endif

#endif
