
#ifndef __DBGPRINTF_H
#define __DBGPRINTF_H

#include <stdio.h>


#ifdef SEGGER_RTT

#include "SEGGER_RTT.h"

/*
 * Use this instead of SEGGER_RTT_printf(), so we can exclude SEGGER_RTT_printf.c file..
 */
#define RTT_PRINTF(...) \
                        do { \
                             /* This is same as BUFFER_SIZE_UP in SEGGER_RTT_Conf.h */ \
                             char str[128];\
                             sprintf(str, __VA_ARGS__);\
                             SEGGER_RTT_WriteString(0, str);\
                        } while(0)


#define dbgprintf(n)    RTT_PRINTF n

#else

#define dbgprintf(n)
#endif

/*
 * NOTE:
 * If got gcc compiler error, like "error: conflicting types for '_write_r'", then
 * modify SEGGER_RTT_SysCalls_GCC.c:-
 *   _ssize_t _write_r(struct _reent *r, int file, const void *ptr,  size_t len);
 *
 */
#endif // __DBGPRINTF_H

