
#ifndef _PCF8563_H
#define _PCF8563_H

// PCF8563 registers.
#define Control_status_1_reg  0x00
#define Control_status_2_reg  0x01

#define VL_seconds_reg        0x02
#define Minutes_reg           0x03
#define Hours_reg             0x04
#define Days_reg              0x05
#define Weekdays_reg          0x06
#define Century_months_reg    0x07
#define Years_reg             0x08

#define Minute_alarm_reg      0x09
#define Hour_alarm_reg        0x0A
#define Day_alarm_reg         0x0B
#define Weekday_alarm_reg     0x0C

#define CLKOUT_control_reg    0x0D
#define Timer_control_reg     0x0E
#define Timer_reg             0x0F


void pcf8563_reset (void);
void pcf8563_set (struct rtc_time *tmp);
void pcf8563_settime (struct rtc_time *tmp);
void pcf8563_setdate (struct rtc_time *tmp);
void pcf8563_get (struct rtc_time *tmp);
int pcf8563_checkClockIntegrity(void);

#endif
